#version 120

/*
!! DO NOT REMOVE !!
This code is from Chocapic13' shaders
Read the terms of modification and sharing before changing something below please !
!! DO NOT REMOVE !!
*/

const int GL_EXP = 2048;
const int GL_LINEAR = 9729;

varying vec4 color;
varying vec2 texcoord;
varying vec2 lmcoord;
varying vec3 normal;

uniform sampler2D texture;
uniform vec3 sunPosition;
uniform vec3 moonPosition;
uniform int fogMode;
uniform int worldTime;
uniform vec4 entityColor;
uniform float wetness;

//////////////////////////////VOID MAIN//////////////////////////////
//////////////////////////////VOID MAIN//////////////////////////////
//////////////////////////////VOID MAIN//////////////////////////////
//////////////////////////////VOID MAIN//////////////////////////////
//////////////////////////////VOID MAIN//////////////////////////////

void main() {	
	
	vec2 adjustedTexCoord = texcoord.st;
	vec4 albedo = texture2D(texture,adjustedTexCoord)*color;
	vec4 mobColor = entityColor;
	mobColor.rgb = pow(mobColor.rgb,vec3(2.2));
	albedo.rgb = mix(albedo.rgb,mobColor.rgb,mobColor.a);
	vec4 frag2 = vec4(normal*0.5+0.5, 1.0f);


/* DRAWBUFFERS:0246 */
	gl_FragData[0] = vec4(albedo);
	gl_FragData[1] = frag2;	
	gl_FragData[2] = vec4(lmcoord.t, 0.9, lmcoord.s, 1.0);
	gl_FragData[3] = vec4(0.0,0.0,0.0,1.0);
}